## NAME

gt-repfind - Compute maximal exact matches (and more).

## SYNOPSIS

gt repfind [options] -ii indexname

## DESCRIPTION

-l [value]

  Specify minimum length of matches (default: 0)

-f [yes|no]

  Compute forward matches (default: yes)

-r [yes|no]

  Compute reverse matches (default: no)

-p [yes|no]

  Compute matches on reverse strand (default: no)

-seedlength [value]

  Specify minimum length of seed (default: 0)

-maxfreq [value]

  Specify maximal frequency of maximal exact matches in reference sequence (default: 0)

-extendxdrop [value]

  Extend seed to both sides using xdrop algorithm, optional parameter specifies sensitivity (default: 97)

-xdropbelow [value]

  Specify xdrop cutoff score (argument 0 means undefined). If undefined an optimal value is determined automatically depending on the error rate

-extendgreedy [value]

  Extend seed to both sides using greedy algorithm with trimming of waves, optional parameter specifies sensitivity (default: 97)

-minidentity [value]

  Specify minimum identity of matches as integer in the range from 70 to 99 (for xdrop and greedy extension) (default: 80)

-ii [string]

  Specify input index (default: undefined)

-outfmt

  specify what information about the matches to display alignment: show alignment (possibly followed by =<number> to specify width of alignment columns, default is ) seed_in_algn: mark the seed in alignment polinfo: add polishing information for shown alignment seed: abbreviation for seed.len seed.s seed.q failed_seed: show the coordinates of a seed extension, which does not satisfy the filter conditions fstperquery: output only the first found match per query tabsep: separate columns by tabulator, instead of space as default blast: output matches in blast format 7 (tabular with comment lines; instead of gap opens, indels are displayed) gfa2: output matches in gfa2 format custom: output matches in custom format, i.e. no columns are pre-defined; all columns have to be specified by the user cigar: display cigar string representing alignment (no distinction between match and mismatch) cigarX: display cigar string representing alignment (distinction between match (=) and mismatch (X)) trace: display trace, i.e. a compact representation of an alignment (possibly followed by =<delta>) to specify the delta-value; default value of delta is 50 dtrace: display trace as differences; like trace, but instead of an absolute value x, report the difference delta-x. This leads to smaller numbers and thus a more compact representation s.len: display length of match on subject sequence s.seqnum: display sequence number of subject sequence subject id: display sequence description of subject sequence s.start: display start position of match on subject sequence s.end: display end position of match on subject sequence strand: display strand of match using symbols F (forward) and P (reverse complement) q.len: display length of match on query sequence q.seqnum: display sequence number of query sequence query id: display sequence description of query sequence q.start: display start position of match on query sequence q.end: display end position of match on query sequence alignment length: display length of alignment mismatches: display number of mismatches in alignment indels: display number of indels in alignment gap opens: display number of indels in alignment score: display score of match editdist: display unit edit distance identity: display percent identity of match seed.len: display length seed of the match seed.s: display start position of seed in subject seed.q: display start position of seed in query s.seqlen: display length of subject sequence in which match occurs q.seqlen: display length of query sequence in which match occurs evalue: display evalue bit score: display bit score

-evalue [value]

  switch on evalue filtering of matches (optional argument specifies evalue threshold) (default: 10.000000)

-scan [yes|no]

  scan index rather than map it to main memory (default: no)

-v [yes|no]

  be verbose (default: no)

-help

  display help and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to <kurtz@zbh.uni-hamburg.de>.